@ffIco: ~'<%= fontName %>';

@font-face {
  font-family: '@{ffIco}';
  src: url('@{ffIco}.eot');
  src: url('@{ffIco}.eot?#iefix') format('eot'),
       url('@{ffIco}.woff2') format('woff2'),
       url('@{ffIco}.woff') format('woff'),
       url('@{ffIco}.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

.<%= cssClass%>-char(@filename) {
  <% _.each(glyphs, function(glyph) { %>@<%= glyph.fileName.substring(6) %>: "\<%= glyph.codePoint %>";
  <% }); %>
  content: @@filename;
}

.icoProperties() {
  display: block;
  font-family: @ffIco;
  line-height: 1;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  font-feature-settings: 'liga';
  text-decoration: none;
  text-transform: none;
  text-rendering: optimizeLegibility;
  letter-spacing: normal;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.<%= cssClass%>(@filename, @insert: before) {
  @pseudo-selector: ~":@{insert}";

  &@{pseudo-selector} {
    .<%= cssClass%>-char(@filename);
    .icoProperties;
  }
}
<% _.each(glyphs, function(glyph) { %>
  .<%= cssClass %>.<%= glyph.fileName.substring(6) %>:before,
  [data-<%= cssClass %>="<%= glyph.fileName.substring(6) %>"]:before {
    content: "\<%= glyph.codePoint %>";
    .icoProperties;
  }
<% }); %>
